/**
 * meta 可配置参数
 * @param {boolean} icon 页面icon
 * @param {boolean} keepAlive 是否缓存页面
 * @param {string} title 页面标题
 */
export default [
    {
        path: '/',
        redirect: '/index'
    },
    {
        path: '/login',
        name: 'login',
        component: () => import('@/views/login/login.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: true,
            showBarRightBtn: false,
            title: '登录页'
        }
    },
    {
        path: '/xuan',
        name: 'xuan',
        component: () => import('@/views/xuan/xuan.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: false,
            showBarRightBtn: false,
            title: '宣传页'
        }
    },
    {
        path: '/index',
        name: 'index',
        component: () => import('@/views/index/index.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: true,
            showBackLeftBtn: false,
            showBarRightBtn: false,
            title: '首页'
        }
    },
    {
        path: '/bujiao',
        name: 'bujiao',
        component: () => import('@/views/index/bujiao.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: false,
            showBarRightBtn: false,
            title: '补缴'
        }
    },
    {
        path: '/payroll',
        name: 'payroll',
        component: () => import('@/views/index/payroll.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: false,
            showBarRightBtn: false,
            title: '代发工资'
        }
    },
    // 政策
    {
        path: '/policy',
        name: 'policy',
        component: () => import('@/views/index/policy.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: false,
            showBarRightBtn: false,
            title: '政策'
        }
    },
    {
        path: '/calc',
        name: 'calc',
        component: () => import('@/views/index/calc.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: true,
            showBackLeftBtn: false,
            showBarRightBtn: false,
            title: '社保计算器'
        }
    },
    {
        path: '/other',
        name: 'other',
        component: () => import('@/views/other/other.vue'),
        meta: {
            icon: '',
            keepAlive: true,
            showTab: true,
            showBackLeftBtn: false,
            showBarRightBtn: false,
            title: '缴费说明'
        }
    },
    {
        path: '/user',
        component: () => import('@/views/user/index.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: true,
            showBackLeftBtn: false,
            showBarRightBtn: false,
            title: '个人中心'
        },
    },
    // {
    //     path: '/user/index',
    //     name: 'uindex',
    //     component: () => import('@/views/user/index.vue'),
    //     meta: {
    //         icon: '',
    //         keepAlive: false,
    //         showTab: true,
    //         showBackLeftBtn: true,
    //         showBarRightBtn: false,
    //         title: '个人中心'
    //     }
    // },
    {
        path: '/user/info',
        name: 'uinfo',
        component: () => import('@/views/user/info.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: true,
            showBarRightBtn: false,
            title: '个人信息'
        }
    },
    // {
    //     path: '/user/edit',
    //     name: 'uedit',
    //     component: () => import('@/views/user/edit.vue'),
    //     meta: {
    //         icon: '',
    //         keepAlive: false,
    //         showTab: false,
    //         showBackLeftBtn: true,
    //         showBarRightBtn: false,
    //         title: '修改信息'
    //     }
    // },
    {
        path: '/user/invitation',
        name: 'uinvitation',
        component: () => import('@/views/user/invitation.vue'),
        meta: {
            icon: '',
            keepAlive: true,
            showTab: false,
            showBackLeftBtn: true,
            showBarRightBtn: false,
            title: '好友列表'
        }
    },
    {
        path: '/user/discount',
        name: 'udiscount',
        component: () => import('@/views/user/discount.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: true,
            showBarRightBtn: false,
            title: '我的优惠券'
        }
    },
    {
        path: '/user/inviter',
        name: 'inviter',
        component: () => import('@/views/user/inviter.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: true,
            showBarRightBtn: false,
            title: '邀请'
        }
    },
    {
        path: '/user/share',
        name: 'share',
        component: () => import('@/views/user/share.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: true,
            showBarRightBtn: false,
            title: '分享'
        }
    },
    {
        path: '/user/Withdraw',
        name: 'Withdraw',
        component: () => import('@/views/user/Withdraw.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: true,
            showBarRightBtn: false,
            title: '提现'
        }
    },
    {
        path: '/user/kong',
        name: 'kong',
        component: () => import('@/views/user/kong.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: true,
            showBackLeftBtn: true,
            showBarRightBtn: false,
            title: '空'
        }
    },
    {
        path: '/social',
        name: 'social',
        component: () => import('@/views/social/social.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: true,
            showBarRightBtn: false,
            title: '订单信息'
        }
    },
    {
        path: '/order',
        name: 'order',
        component: () => import('@/views/order/list.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: true,
            showBarRightBtn: false,
            title: '订单'
        },
    },
    {
        path: '/order/list',
        name: 'olist',
        component: () => import('@/views/order/list.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: true,
            showBarRightBtn: false,
            title: '订单列表'
        }
    }, {
        path: '/order/detail',
        name: 'odetail',
        component: () => import('@/views/order/detail.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: true,
            showBarRightBtn: false,
            title: '订单详情'
        }
    },
    {
        path: '/order/bujiaodetail',
        name: 'bujiaodetail',
        component: () => import('@/views/order/bujiaodetail.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: true,
            showBarRightBtn: false,
            title: '订单详情'
        }
    },
    {
        path: '/order/payment',
        name: 'opayment',
        component: () => import('@/views/order/payment.vue'),
        meta: {
            icon: '',
            keepAlive:false,
            showTab: false,
            showBackLeftBtn: false,
            showBarRightBtn: false,
            title: '收银台'
        }
    },
    // 油卡充值
    {
        path: '/oilRecharge',
        name: 'oilRecharge',
        component: () => import('@/views/index/oilRecharge.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: false,
            showBarRightBtn: false,
            title: '油卡充值'
        }
    },
    // 手机卡充值
    {
        path: '/phoneRecharge',
        name: 'phoneRecharge',
        component: () => import('@/views/index/phoneRecharge.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: false,
            showBarRightBtn: false,
            title: '手机卡充值'
        }
    },
    // 充值列表
    {
        path: '/recharge/list',
        name: 'rlist',
        component: () => import('@/views/recharge/list.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: true,
            showBarRightBtn: false,
            title: '充值列表'
        }
    },
    // 充值订单详情
    {
        path: '/recharge/detail',
        name: 'rdetail',
        component: () => import('@/views/recharge/detail.vue'),
        meta: {
            icon: '',
            keepAlive: false,
            showTab: false,
            showBackLeftBtn: true,
            showBarRightBtn: false,
            title: '充值订单详情'
        }
    },
];
